org.gjt.sp.jedit.gui

## Class JCheckBoxList.Entry

- java.lang.Object
- - org.gjt.sp.jedit.gui.JCheckBoxList.Entry

- Enclosing class:
    JCheckBoxList

      public static class JCheckBoxList.Entry
      extends java.lang.Object

  A check box list entry.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JCheckBoxList.Entry(boolean checked, java.lang.Object value)`
    `JCheckBoxList.Entry(java.lang.Object value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getValue()`
    `boolean` | `isChecked()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JCheckBoxList.Entry

          public JCheckBoxList.Entry(java.lang.Object value)

    - #### JCheckBoxList.Entry

          public JCheckBoxList.Entry(boolean checked,
                             java.lang.Object value)

  - ### Method Detail

    - #### isChecked

          public boolean isChecked()

    - #### getValue

          public java.lang.Object getValue()